#!/usr/bin/env python3
import os

"""
Configuration
"""


__author__ = "@tormakris"
__copyright__ = "Copyright 2020, onSpot Team"
__module_name__ = "config"
__version__text__ = "1"


PORT = os.environ.get("ONSPOT_PORT", 8080)
DEBUG = os.environ.get("ONSPOT_DEBUG", True)

SENTRY_DSN = os.environ.get("SENTRY_DSN")
RELEASE_ID = os.environ.get("RELEASE_ID", "test")
RELEASEMODE = os.environ.get("ONSPOT_RELEASEMODE", "dev")

REDIS_HOST = os.getenv("ONSPOT_REDIS_HOST")

ENCODED_SECRET_KEY = os.getenv("ONSPOT_ENCODED_SECRET_KEY")
